CritterDump (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.CritterDump interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping
Interface CritterDump

All Known Implementing Classes:
  PersistedCritter

    public interface CritterDump

A CritterDump represents state which a Critter can store into (or be reconstructed from. Each of these fields represent 'generic' data that only a specific `CritterType` knows about. This interface is also used to abstract out persistence, so that critters are able to persist to anything implementing this method.

See Also:
  `CritterType.compose(CritterDump)`, `CritterType.decompose(Critter, CritterDump)`

Method Summary
`java.lang.Long` | `getDateProp()`
`java.lang.Integer` | `getEnumProp()`
`java.math.BigDecimal` | `getNumericProp()`
`Resource` | `getResourceProp()`
`java.lang.String` | `getStringProp()`
`void` | `setDateProp(java.lang.Long date)`
`void` | `setEnumProp(java.lang.Integer e)`
`void` | `setNumericProp(java.math.BigDecimal n)`
`void` | `setResourceProp(Resource r)`
`void` | `setStringProp(java.lang.String s)`

Method Detail

### getStringProp

    java.lang.String getStringProp()

### setStringProp

    void setStringProp(java.lang.String s)

### getDateProp

    java.lang.Long getDateProp()

### setDateProp

    void setDateProp(java.lang.Long date)

### getResourceProp

    Resource getResourceProp()

### setResourceProp

    void setResourceProp(Resource r)

### getNumericProp

    java.math.BigDecimal getNumericProp()

### setNumericProp

    void setNumericProp(java.math.BigDecimal n)

### getEnumProp

    java.lang.Integer getEnumProp()

### setEnumProp

    void setEnumProp(java.lang.Integer e)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.